fityk (1.3.1-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 12:09:30 +0800

fityk (1.3.1-3) unstable; urgency=medium

  * Cherry-pick upstream fix (9684b96) to mark float comparisons in test suite
    as approximate (Closes: #876776).

 -- Stuart Prescott <stuart@debian.org>  Tue, 26 Sep 2017 13:06:38 +1000

fityk (1.3.1-2) unstable; urgency=medium

  * Use dh_sphinxdoc to get symlinks right, with thanks to Dmitry Shachnev
    for the patch (Closes: #857816).
  * Update Standards-Version to 4.1.0 (no changes required).

 -- Stuart Prescott <stuart@debian.org>  Mon, 25 Sep 2017 11:52:02 +1000

fityk (1.3.1-1) unstable; urgency=medium

  * New upstream release.
    - require newer version of sphinx to build documentation.
  * Update Standards-Version to 4.0.0 (no changes required).

 -- Stuart Prescott <stuart@debian.org>  Sun, 30 Jul 2017 10:32:00 +1000

fityk (1.3.0-1) unstable; urgency=medium

  * New upstream release (Closes: #747161):
    - Builds successfully with GCC 6 (Closes: #811800).
  * Update build system to suit new upstream:
    - Remove no-longer-needed compiler/linker FLAGS setting (Closes: #735777)
    - Update build-dependencies on lua
    - Add build-dependency on
        - 'swig' to build bindings
        - 'check' to run tests
        - 'texlive-latex-*', 'sphinx', 'dvipng' to build documentation
  * Switch to debhelper compat level 10, allowing debhelper to do the necessary
    autoreconf automatically (Closes: #744571)
  * Move d/upstream to d/upstream/metadata
  * Fix watch file to correctly find new releases.
  * Bump Standards-Version to 3.9.8 (no changes required).
  * Drop no-longer-needed menu file as per #741573.
  * Add DEP-8 tests using cfityk.
  * Bring package into Debian Science and add me as an uploader, with thanks
    to Carlo Segre for many years of work.

 -- Stuart Prescott <stuart@debian.org>  Sun, 06 Nov 2016 16:20:37 +1100

fityk (1.2.1-0.1) unstable; urgency=low

  * Non-maintainer upload.
  * New upstream release (closes: #703150).
  * debian/control (Standards-Version): Bumped to 3.9.5.
    (Build-Depends): Replaced WX 2.8 by version 3.0. Added autotools-dev, lua.
  * debian/copyright: Minor update.
  * debian/dirs: Dropped.
  * debian/install: Added.
  * debian/links: Added link for samples.
  * debian/rules: Rewritten for dh 7 and enabled hardening.
  * debian/upstream: Added.

 -- Daniel Leidert <dleidert@debian.org>  Wed, 01 Jan 2014 23:44:22 +0100

fityk (0.9.8-3) unstable; urgency=low

  * Correct home page URL

 -- Carlo Segre <segre@debian.org>  Sat, 19 Nov 2011 15:10:51 -0600

fityk (0.9.8-2) unstable; urgency=low

  * Remove Suggests dependency on menu (Closes: #647368)
  * Add build-arch and build-indep targets in debian/rules

 -- Carlo Segre <segre@debian.org>  Sat, 12 Nov 2011 14:58:15 -0600

fityk (0.9.8-1) unstable; urgency=low

  * New upstream release
  * Link manual in /usr/share/fityk/html to 
    /usr/share/doc/fityk/html (Closes: #627331) 
  * Upgrade to Standards-Version 3.9.2 (no changes)

 -- Carlo Segre <segre@debian.org>  Sat, 11 Jun 2011 14:51:15 -0500

fityk (0.9.7-1) unstable; urgency=low

  * New upstream release (Closes: #619385)
  * Update URLs in debian/control and debian/copyright
  * Update debian/watch to point to github
  * Upgrade for Standards-Version 3.9.1 (no changes)

 -- Carlo Segre <segre@debian.org>  Thu, 24 Mar 2011 02:00:20 -0500

fityk (0.9.3-1) unstable; urgency=low

  * New upstream release
  * Upgrade to Standards-Version 3.9.0 (no changes)

 -- Carlo Segre <segre@debian.org>  Fri, 02 Jul 2010 13:35:24 -0500

fityk (0.9.3~r750-1) unstable; urgency=low

  * New upstream prerelease with bugfixes

 -- Carlo Segre <segre@debian.org>  Fri, 18 Jun 2010 00:58:26 -0500

fityk (0.9.3~r740-1) unstable; urgency=low

  * Prerelease version with powder diffraction plugin
  * Make sure sample files are in right location and do not include
    the scripts for now.

 -- Carlo Segre <segre@debian.org>  Sun, 06 Jun 2010 22:52:48 -0500

fityk (0.9.2-1) unstable; urgency=low

  * New upstream release
  * Add Build-Dep to xylib-dev, boost libraries as these are no longer
    shipped with the source.
  * Add Build-Dep to zlib1g-dev, libbz2-dev libraries
  * Upgrade to Standards-Version 3.8.4 (no changes)
  * Move to package format 3.0 (quilt)

 -- Carlo Segre <segre@debian.org>  Sun, 09 May 2010 18:27:20 -0500

fityk (0.9.0-1) unstable; urgency=low

  * New upstream release
  * Add --disable-xyconvert flag until wxwidgets 2.9 is in Debian

 -- Carlo Segre <segre@debian.org>  Tue, 09 Feb 2010 23:14:36 -0600

fityk (0.8.9-1) unstable; urgency=low

  * New upstream release
  * Update Standards-Version to 3.8.3 (no changes)
  * Remove libreadline5-dev Build-Dep (see Bug #553754)
  * Clean up all lintian errors:
    - add ${misc:Depends} in all binary packages
    - add dependence to libjs-jquery and make symlink to jquery.js

 -- Carlo Segre <segre@debian.org>  Sun, 15 Nov 2009 21:52:50 -0600

fityk (0.8.8-1) unstable; urgency=low

  * New upstream release
  * Compiltion tested with gcc-4.4 and g++-4.4
  * Upgrade to Standards-Version 3.8.2 (no changes).
  * Added --with-xylibs --with-samples configuration flags.
  * Removed patch of "#include <cstring>" from src/ui.cpp.
  * Insert Education top level menu item in *.desktop file
    NOTE: This is not the right solution but conforms to the freedesktop.org 
          standard. KDE and Gnome provide a "Science" top level menu through
          their own configuration files.  XFCE4 currently does not but can be
          configured to do so.  See README.Debian for this information.

 -- Carlo Segre <segre@debian.org>  Sat, 04 Jul 2009 14:58:31 -0500

fityk (0.8.6-3) unstable; urgency=low

  * Removed leftover debian/fityk.desktop (Closes: #500090) - thanks
    to David Futcher <bobbo@ubuntu.com>.
  * Restore sourceforge redirector in debian/watch.
  * Fix reference to GPL-2.

 -- Carlo Segre <segre@debian.org>  Sun, 12 Apr 2009 13:55:45 -0500

fityk (0.8.6-2) unstable; urgency=high

  * Compile against libwxgtk2.8-dev so Help/Manual works (Closes: #499734).
  * Upgrade to Standards-Version 3.8.0 (no changes).

 -- Carlo Segre <segre@debian.org>  Mon, 22 Sep 2008 15:09:25 -0500

fityk (0.8.6-1) unstable; urgency=low

  * New upstream release

 -- Carlo Segre <segre@debian.org>  Fri, 02 May 2008 00:54:09 -0500

fityk (0.8.5-1) unstable; urgency=low

  * New upstream release
  * Reenable 3rdparty usage in build (this means using the included Boost
    libraries and removing the Build-Depends on them).

 -- Carlo Segre <segre@debian.org>  Sun, 30 Mar 2008 11:31:03 -0500

fityk (0.8.2-2) unstable; urgency=low

  * Acknowledge NMU (Closes: #455180)
  * Upgrade to Standards-Version 3.7.3 (no changes)
  * Move Homepage from description to debian/control header

 -- Carlo Segre <segre@debian.org>  Sat, 22 Mar 2008 11:29:16 -0500

fityk (0.8.2-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix gcc-4.3 FTBFS, patch by Cyril Brulebois
    <cyril.brulebois@enst-bretagne.fr>. (Closes: #455180)

 -- Marc 'HE' Brockschmidt <he@debian.org>  Sun, 16 Mar 2008 17:26:13 +0100

fityk (0.8.2-1) unstable; urgency=low

  * New upstream release
  * Restored optimization
  * Use static libraries for now
  * Don't compile python wrapper yet

 -- Carlo Segre <segre@debian.org>  Thu, 23 Aug 2007 00:20:21 -0500

fityk (0.7.8-2) unstable; urgency=low

  * Added declarations to src/numfuncs.h to allow compilation
    by g++4.3 (Closes:  #417192)
  * Don't ignore clean errors
  * Compatibility level 5
  * Comply with menu and desktop policy

 -- Carlo Segre <segre@debian.org>  Sat, 18 Aug 2007 11:08:05 -0500

fityk (0.7.8-1) unstable; urgency=low

  * New upstream release
  * Restored -O2 compiler flags - upstream has fixed g++-4.1 compile

 -- Carlo Segre <segre@debian.org>  Wed,  7 Mar 2007 18:58:33 -0600

fityk (0.7.7-1) unstable; urgency=low

  * New upstream release

 -- Carlo Segre <segre@debian.org>  Thu, 15 Feb 2007 23:46:35 -0600

fityk (0.7.6-1) unstable; urgency=low

  * New upstream release
  * Force -O1 optimization for successful compilation with g++-4.1

 -- Carlo Segre <segre@debian.org>  Sat, 16 Sep 2006 08:32:03 -0500

fityk (0.7.5-3) unstable; urgency=low

  * Added Tag: field in control, experiment for Enrico Zini

 -- Carlo Segre <segre@debian.org>  Sat,  9 Sep 2006 00:10:06 -0500

fityk (0.7.5-2) unstable; urgency=low

  * Relaxed build dependency on libwxgtk2.6.
  * Changed maintainer email to segre@debian.org

 -- Carlo Segre <segre@debian.org>  Wed,  2 Aug 2006 16:44:31 -0500

fityk (0.7.5-1) unstable; urgency=low

  * New upstream release, see /usr/share/doc/fityk/changelog.gz.

 -- Carlo Segre <segre@debian.org>  Wed,  2 Aug 2006 13:30:07 -0500

fityk (0.7.4-2) unstable; urgency=low

  * Use .desktop file from upstream instead but leave the Ubuntu-
    contributed version as an option.

 -- Carlo Segre <segre@iit.edu>  Wed,  7 Jun 2006 10:27:10 -0500

fityk (0.7.4-1) unstable; urgency=low

  * New upstream release
  * Changed to Standards Version 3.7.2
  * Added .desktop file from Phil Bull via Ubuntu maintainer
    Emmet Hikory <emmet.hikory@gmail.com> (Thanks!)

 -- Carlo Segre <segre@iit.edu>  Tue,  6 Jun 2006 09:49:14 -0500

fityk (0.7.3-1) unstable; urgency=low

  * New upstream release (Closes:  #360795)

 -- Carlo Segre <segre@iit.edu>  Tue, 11 Apr 2006 22:02:48 -0500

fityk (0.7.2-1) unstable; urgency=low

  * New upstream release
  * Transition to WxWidgets 2.6 (Build-Dep on libwxgtk2.6-dev)
  * Stop using local boost headers for compilation

 -- Carlo Segre <segre@iit.edu>  Sun, 12 Mar 2006 00:44:52 -0600

fityk (0.5.1-2) unstable; urgency=low

  * Changed build dep to libreadline5-dev (Closes:  #326366).

 -- Carlo Segre <segre@iit.edu>  Sat,  3 Sep 2005 13:05:05 -0500

fityk (0.5.1-1) unstable; urgency=low

  * New upstream release.
  * Transition to g++ 4.0 (Closes:  #316564).
  * Added libboost-dev dependency and inhibit use of local version.

 -- Carlo Segre <segre@iit.edu>  Fri, 22 Jul 2005 07:24:17 -0500

fityk (0.5.0p1-1) unstable; urgency=low

  * New upstream release

 -- Carlo Segre <segre@iit.edu>  Sun, 12 Jun 2005 00:00:31 -0500

fityk (0.4.4-1) unstable; urgency=low

  * New upstream release.  Changes described in NEWS.

 -- Carlo Segre <segre@iit.edu>  Tue,  8 Mar 2005 08:37:13 -0600

fityk (0.4.3p1-1) unstable; urgency=low

  * New upstream release.  Changes described in NEWS.

 -- Carlo Segre <segre@iit.edu>  Sat, 20 Nov 2004 12:11:22 -0600

fityk (0.4.2-1) unstable; urgency=low

  * Initial Release (Closes:  #271166).

 -- Carlo Segre <segre@iit.edu>  Fri,  10 Sep 2004 11:23:40 -0500
